Solved FeatherBoard download error

Discussion in 'Spigot Plugin Help' started by Framak, Jan 16, 2020.

  1. [10:30:00 ERROR]: [FeatherBoard] An error occured while downloading a required lib.
    [10:30:00 WARN]: java.io.IOException: Server returned HTTP response code: 501 for URL: http://central.maven.org/maven2/org...persistence/2.1.0/javax.persistence-2.1.0.jar
    [10:30:00 WARN]: at java.base/sun.net.www.protocol.http.HttpURLConnection.getInputStream0(HttpURLConnection.java:1919)
    [10:30:00 WARN]: at java.base/sun.net.www.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:1515)
    [10:30:00 WARN]: at be.maximvdw.featherboard.d2.a(d2.java:22)
    [10:30:00 WARN]: at be.maximvdw.featherboard.bn.a(bn.java:22)
    [10:30:00 WARN]: at be.maximvdw.featherboard.bn.a(bn.java:33)
    [10:30:00 WARN]: at be.maximvdw.featherboard.FeatherBoard.a(FeatherBoard.java:74)
    [10:30:00 WARN]: at be.maximvdw.featherboard.ae.e(ae.java:12)
    [10:30:00 WARN]: at be.maximvdw.featherboard.ae.onEnable(ae.java:80)
    [10:30:00 WARN]: at be.maximvdw.featherboard.FeatherBoard.onEnable(FeatherBoard.java:62)
    [10:30:00 WARN]: at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:263)
    [10:30:00 WARN]: at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:338)
    [10:30:00 WARN]: at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:420)
    [10:30:00 WARN]: at org.bukkit.craftbukkit.v1_14_R1.CraftServer.enablePlugin(CraftServer.java:467)
    [10:30:00 WARN]: at org.bukkit.craftbukkit.v1_14_R1.CraftServer.enablePlugins(CraftServer.java:381)
    [10:30:00 WARN]: at net.minecraft.server.v1_14_R1.MinecraftServer.a(MinecraftServer.java:474)
    [10:30:00 WARN]: at net.minecraft.server.v1_14_R1.DedicatedServer.init(DedicatedServer.java:290)
    [10:30:00 WARN]: at net.minecraft.server.v1_14_R1.MinecraftServer.run(MinecraftServer.java:876)
    [10:30:00 WARN]: at java.base/java.lang.Thread.run(Thread.java:834)
    [10:30:00 WARN]: [FeatherBoard] The plugin was unable to download the required dependencies!
    [10:30:00 WARN]: [FeatherBoard] Make sure you are using a compatible Java version and have internet connection.



    I'm using Java 11 and (ofc) the VPS has internet connection. I tried to use the link and it doesn't work.
     
  2. The link works for me, but I thought premium plugins had to work when the server has no internet as well...
     
  3. should i contact my host for check the firewall? @Maximvdw
     
  4. Oh he fixed it this morning.